## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationOpenidDbStoreOptions

### AuthenticationDatabaseTiein::ezcAuthenticationOpenidDbStoreOptions

### Class ezcAuthenticationOpenidDbStoreOptions

Class containing the options for the OpenID database store.

Example of use:

1. // create an options object
2. $options=new ezcAuthenticationOpenidDbStoreOptions ();
3. $options->tableNonces=array('name'=>'openid_nonces','fields'=>array('nonce'=>'id','timestamp'=>'time') );
4. $options->tableAssociations=array('name'=>'openid_associations','fields'=>array('url'=>'id','association'=>'assoc') );
6. // use the options object
7. $store=new ezcAuthenticationOpenidDbStore ( ezcDbInstance :: get (),$options);
9. // alternatively, you can set the options to an existing object
10. $store=new ezcAuthenticationOpenidDbStore ( ezcDbInstance :: get () );
11. $store->setOptions($options);

Source for this file: /AuthenticationDatabaseTiein/src/options/openid_db_store_options.php

    ezcBaseOptions
       |
       --ezcAuthenticationOpenidStoreOptions
          |
          --ezcAuthenticationOpenidDbStoreOptions

Version: | //autogentag//

### Properties

array(string=>mixed)

read/write

`$tableAssociations`
A structure defining how the table which holds the nonces looks like. The default is array( 'name' => 'openid_associations', 'fields' => array( 'url' => 'url', 'association' => 'association' ) ). The column nonce is a key in the table. The names of the columns and of the table name can be changed ('nonce', 'timestamp', 'openid_associations').

array(string=>mixed) | read/write | `$tableNonces` A structure defining how the table which holds the nonces looks like. The default is array( 'name' => 'openid_nonces', 'fields' => array( 'nonce' => 'nonce', 'timestamp' => 'timestamp' ) ). The column nonce is a key in the table. The names of the columns and of the table name can be changed ('nonce', 'timestamp', 'openid_nonces').

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcAuthenticationOpenidDbStoreOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcAuthenticationOpenidStoreOptions
public ezcAuthenticationOpenidStoreOptions | `ezcAuthenticationOpenidStoreOptions::__construct()` Constructs an object with the specified values.
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcAuthenticationOpenidDbStoreOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | Options for this class

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcAuthenticationOpenidStoreOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3